import request from '@/utils/request'

export function add(data) {
    return request({
        url: 'system/autoJob/saveFormJson',
        method: 'post',
        data
    })
}

export function del(ids) {
    return request({
        url: 'system/autoJob/deleteFormJson',
        method: 'post',
        data: ids
    })
}

export function edit(data) {
    return request({
        url: 'system/autoJob/saveFormJson',
        method: 'post',
        data
    })
}

export function changeStatus(data) {
    return request({
        url: 'system/autoJob/changeStatus',
        method: 'post',
        data
    })
}

export function executeJob(data) {
    return request({
        url: 'system/autoJob/executeJob',
        method: 'post',
        data
    })
}

export default { del, changeStatus, add, edit, executeJob }
